﻿import request from '/@/utils/request';
enum Api {
  AddWcsPlc = '/api/wcsPlc/add',
  DeleteWcsPlc = '/api/wcsPlc/delete',
  UpdateWcsPlc = '/api/wcsPlc/update',
  PageWcsPlc = '/api/wcsPlc/page',
  DetailWcsPlc = '/api/wcsPlc/detail',
}

// 增加PLC
export const addWcsPlc = (params?: any) =>
	request({
		url: Api.AddWcsPlc,
		method: 'post',
		data: params,
	});

// 删除PLC
export const deleteWcsPlc = (params?: any) => 
	request({
			url: Api.DeleteWcsPlc,
			method: 'post',
			data: params,
		});

// 编辑PLC
export const updateWcsPlc = (params?: any) => 
	request({
			url: Api.UpdateWcsPlc,
			method: 'post',
			data: params,
		});

// 分页查询PLC
export const pageWcsPlc = (params?: any) => 
	request({
			url: Api.PageWcsPlc,
			method: 'post',
			data: params,
		});

// 详情PLC
export const detailWcsPlc = (id: any) => 
	request({
			url: Api.DetailWcsPlc,
			method: 'get',
			data: { id },
		});


